## plv8 1.4.0.ds

=== Makefile ===
#-----------------------------------------------------------------------------#
#
# Makefile for plv8
#
# @param DISABLE_DIALECT if defined, not build dialects (i.e. plcoffee, etc)
# @param ENABLE_DEBUGGER_SUPPORT enables v8 deubbger agent
#
# There are two ways to build plv8.
# 1. Dynamic link to v8 (default)
#   You need to have libv8.so and header file installed.
# 2. Static link to v8 with snapshot
#   'make static' will download v8 and build, then statically link to it.
#
#-----------------------------------------------------------------------------#
PLV8_VERSION = 1.4.0

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)

PG_VERSION_NUM := $(shell cat `$(PG_CONFIG) --includedir`/pg_config*.h \
		   | perl -ne 'print $$1 and exit if /PG_VERSION_NUM\s+(\d+)/')

# set your custom C++ compler
CUSTOM_CC = g++
JSS  = coffee-script.js livescript.js
# .cc created from .js
JSCS = $(JSS:.js=.cc)
SRCS = plv8.cc plv8_type.cc plv8_func.cc plv8_param.cc $(JSCS)
OBJS = $(SRCS:.cc=.o)
MODULE_big = plv8
EXTENSION = plv8
PLV8_DATA = plv8.control plv8--$(PLV8_VERSION).sql
DATA = $(PLV8_DATA)
ifndef DISABLE_DIALECT
DATA += plcoffee.control plcoffee--$(PLV8_VERSION).sql \
		plls.control plls--$(PLV8_VERSION).sql
endif
DATA_built = plv8.sql
REGRESS = init-extension plv8 inline json startup_pre startup varparam json_conv \
		  window
ifndef DISABLE_DIALECT
REGRESS += dialect
endif

SHLIB_LINK += -lv8
ifdef V8_OUTDIR
SHLIB_LINK += -L$(V8_OUTDIR)
endif

# v8's remote debugger is optional at the moment, since we don't know
# how much of the v8 installation is built with debugger enabled.
ifdef ENABLE_DEBUGGER_SUPPORT
OPT_ENABLE_DEBUGGER_SUPPORT = -DENABLE_DEBUGGER_SUPPORT
endif
OPTFLAGS = -O2
CCFLAGS = -Wall $(OPTFLAGS) $(OPT_ENABLE_DEBUGGER_SUPPORT)

ifdef V8_SRCDIR
override CPPFLAGS += -I$(V8_SRCDIR)/include
endif

all:

plv8_config.h: plv8_config.h.in Makefile
	sed -e 's/^#undef PLV8_VERSION/#define PLV8_VERSION "$(PLV8_VERSION)"/' $< > $@

%.o : %.cc plv8_config.h plv8.h
	$(CUSTOM_CC) $(CCFLAGS) $(CPPFLAGS) -fPIC -c -o $@ $<

# Convert .js to .cc
$(JSCS): %.cc: %.js
	echo "extern const unsigned char $(subst -,_,$(basename $@))_binary_data[] = {" >$@
ifndef DISABLE_DIALECT
	(od -txC -v $< | \
	sed -e "s/^[0-9]*//" -e s"/ \([0-9a-f][0-9a-f]\)/0x\1,/g" -e"\$$d" ) >>$@
endif
	echo "0x00};" >>$@

# VERSION specific definitions
ifeq ($(shell test $(PG_VERSION_NUM) -ge 90100 && echo yes), yes)

DATA_built =
all: $(DATA)
%--$(PLV8_VERSION).sql: plv8.sql.common
	sed -e 's/@LANG_NAME@/$*/g' $< | $(CC) -E -P $(CPPFLAGS) -DLANG_$* - > $@
%.control: plv8.control.common
	sed -e 's/@PLV8_VERSION@/$(PLV8_VERSION)/g' $< | $(CC) -E -P -DLANG_$* - > $@
subclean:
	rm -f plv8_config.h $(DATA) $(JSCS)

ifeq ($(shell test $(PG_VERSION_NUM) -lt 90200 && echo yes), yes)
REGRESS := $(filter-out json_conv, $(REGRESS))
endif

else # < 9.1

ifeq ($(shell test $(PG_VERSION_NUM) -ge 90000 && echo yes), yes)
REGRESS := init $(filter-out init-extension dialect json_conv, $(REGRESS))

else # < 9.0

REGRESS := init $(filter-out init-extension inline startup \
					varparam dialect json_conv window, $(REGRESS))

endif

DATA = uninstall_plv8.sql
%.sql.in: plv8.sql.common
	sed -e 's/@LANG_NAME@/$*/g' $< | $(CC) -E -P $(CPPFLAGS) -DLANG_$* - > $@
subclean:
	rm -f plv8_config.h *.sql.in $(JSCS)

endif

clean: subclean

# build will be created by Makefile.v8
distclean:
	rm -rf build

static:
	$(MAKE) -f Makefile.v8

# Check if META.json.version and PLV8_VERSION is equal.
# Ideally we want to have only one place for this number, but parsing META.json
# is a bit challenging; at one time we had v8/d8 parsing META.json to pass
# this value to source file, but it turned out those utilities may not be
# available everywhere.  Since this integrity matters only developers,
# we just check it if they are available.  We may come up with a better
# solution to have it in one place in the future.
META_VER = $(shell v8 -e 'print(JSON.parse(read("META.json")).version)' 2>/dev/null)
ifndef META_VER
META_VER = $(shell d8 -e 'print(JSON.parse(read("META.json")).version)' 2>/dev/null)
endif
ifndef META_VER
META_VER = $(shell lsc -e 'console.log(JSON.parse(require("fs").readFileSync("META.json")).version)' 2>/dev/null)
endif
ifndef META_VER
META_VER = $(shell coffee -e 'console.log(JSON.parse(require("fs").readFileSync("META.json")).version)' 2>/dev/null)
endif
ifndef META_VER
META_VER = $(shell node -e 'console.log(JSON.parse(require("fs").readFileSync("META.json")).version)' 2>/dev/null)
endif

integritycheck:
ifneq ($(META_VER),)
	test "$(META_VER)" = "$(PLV8_VERSION)"
endif

installcheck: integritycheck

.PHONY: subclean integritycheck
include $(PGXS)

=== debian/changelog ===
plv8 (1.4.0.ds-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing postgresql-server-dev-all test
    dependency, so that installcheck can find pg_buildext.
  * debian/tests/installcheck: Create build-$version if it does not exist.

  [ Christoph Berg ]
  * Use plain pg_buildext; pgxs.mk in 9.1/9.2/9.3 got fixed for srcdir.
  * Install docs in all module packages built.
  * debian/tests/control: Use allow-stderr (needs autopkgtest 2.3).
  * debian/pgversions: use "9.0"+ and B-D on pg-server-dev-all >= 148.
  * debian/control.in: Section: database.
  * debian/watch: Mangle upstream version to remove .ds.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2013 13:04:56 +0200

plv8 (1.4.0.ds-1) unstable; urgency=low

  * Remove coffee-script.js and livescript.js from the source tarball (we
    don't have source code for these), and disable building the extensions.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Jul 2013 13:21:31 +0200

plv8 (1.4.0-2) unstable; urgency=low

  * Manually loop over the versions to build/install instead of using
    pg_buildext because the buildsystem doesn't like "srcdir" in the
    environment.
  * Remove 8.4 from debian/pgversions as it fails on i386 (amd64 works).
  * Makefile: use pg_config --includedir-server so we get the version
    number for the right PostgreSQL version.
  * Run make installcheck using autopkgtest. (Needs postgresql-common >= 146).
  * Point Vcs headers at anonscm.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Jun 2013 15:13:29 +0200

plv8 (1.4.0-1) unstable; urgency=low

  * Initial upload.
    Closes: #706713
  * This Debian package was created for xtuple.com, and donated to the
    Debian community.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 03 May 2013 09:55:52 +0200

=== debian/control ===
Source: plv8
Priority: extra
Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 8.0.0), postgresql-server-dev-all (>= 148~),
 libv8-dev, markdown
Standards-Version: 3.9.4
Section: database
Homepage: http://code.google.com/p/plv8js/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-plv8
Architecture: any
Depends: postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
Provides: postgresql-plv8
Description: Procedural language interface between PostgreSQL and JavaScript
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the document-oriented data store MongoDB.
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to JavaScript from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

export DISABLE_DIALECT=1

override_dh_auto_build:
	+pg_buildext build $(CURDIR) build-%v
	markdown doc/plv8.md > doc/plv8.html

clean:
	+pg_buildext clean $(CURDIR) build-%v
	rm -rf build-?.? debian/postgresql-?.?-plv8 debian/*.substvars doc/plv8.html
	dh $@

override_dh_installdocs:
	dh_installdocs --all doc/*

override_dh_auto_test:
	# noop

override_dh_auto_install:
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plv8

%:
	dh $@

## plv8 1.4.2.ds

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   'make static' will download v8 and build, then statically link to it.
 #
 #-----------------------------------------------------------------------------#
-PLV8_VERSION = 1.4.0
+PLV8_VERSION = 1.4.2
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
plv8 (1.4.2.ds-2+deb8u1) jessie; urgency=high

  * Security bugfix picked from 1.4.9: Check for permission to call functions.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Mar 2017 10:59:59 +0100

plv8 (1.4.2.ds-2) unstable; urgency=medium

  * Pull patches from upstream to support PostgreSQL 9.4.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2014 12:57:20 +0200

plv8 (1.4.2.ds-1) unstable; urgency=medium

  * New upstream release.
  * Add origtargz target to debian/rules.
  * Set team as maintainer, bump dh to 9.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 Apr 2014 10:36:52 +0200

=== debian/control ===
Source: plv8
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 148~),
 libv8-dev, markdown
Standards-Version: 3.9.5
Section: database
Homepage: http://code.google.com/p/plv8js/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
XS-Testsuite: autopkgtest

Package: postgresql-9.4-plv8
Architecture: any
Depends: postgresql-9.4, ${shlibs:Depends}, ${misc:Depends}
Provides: postgresql-plv8
Description: Procedural language interface between PostgreSQL and JavaScript
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the document-oriented data store MongoDB.
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to JavaScript from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,9 @@
 
 %:
 	dh $@
+
+VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*.ds\).*/\1/p')
+DIR = $(shell basename $(CURDIR))
+origtargz: clean
+	! test -f .pc/applied-patches
+	cd .. && tar --exclude .git --exclude .pc --exclude debian -cvzf plv8_$(VERSION).orig.tar.gz $(DIR)

=== debian/watch ===
version=3
opts="dversionmangle=s/\.ds//" \
http://code.google.com/p/plv8js/downloads/list?can=1 .*/plv8-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## plv8 1.4.6.ds

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   'make static' will download v8 and build, then statically link to it.
 #
 #-----------------------------------------------------------------------------#
-PLV8_VERSION = 1.4.2
+PLV8_VERSION = 1.4.6
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
@@ -37,7 +37,7 @@
 endif
 DATA_built = plv8.sql
 REGRESS = init-extension plv8 inline json startup_pre startup varparam json_conv \
-		  window
+		  jsonb_conv window
 ifndef DISABLE_DIALECT
 REGRESS += dialect
 endif
@@ -52,7 +52,7 @@
 ifdef ENABLE_DEBUGGER_SUPPORT
 OPT_ENABLE_DEBUGGER_SUPPORT = -DENABLE_DEBUGGER_SUPPORT
 endif
-OPTFLAGS = -O2
+OPTFLAGS = -O2 -std=c++11 -fno-rtti
 CCFLAGS = -Wall $(OPTFLAGS) $(OPT_ENABLE_DEBUGGER_SUPPORT)
 
 ifdef V8_SRCDIR
@@ -88,21 +88,7 @@
 subclean:
 	rm -f plv8_config.h $(DATA) $(JSCS)
 
-ifeq ($(shell test $(PG_VERSION_NUM) -lt 90200 && echo yes), yes)
-REGRESS := $(filter-out json_conv, $(REGRESS))
-endif
-
-else # < 9.1
-
-ifeq ($(shell test $(PG_VERSION_NUM) -ge 90000 && echo yes), yes)
-REGRESS := init $(filter-out init-extension dialect json_conv, $(REGRESS))
-
-else # < 9.0
-
-REGRESS := init $(filter-out init-extension inline startup \
-					varparam dialect json_conv window, $(REGRESS))
-
-endif
+else
 
 DATA = uninstall_plv8.sql
 %.sql.in: plv8.sql.common
@@ -110,6 +96,26 @@
 subclean:
 	rm -f plv8_config.h *.sql.in $(JSCS)
 
+endif
+
+# < 9.4, drop jsonb_conv
+ifeq ($(shell test $(PG_VERSION_NUM) -lt 90400 && echo yes), yes)
+REGRESS := $(filter-out jsonb_conv, $(REGRESS))
+endif
+
+# < 9.2, drop json_conv
+ifeq ($(shell test $(PG_VERSION_NUM) -lt 90200 && echo yes), yes)
+REGRESS := $(filter-out json_conv, $(REGRESS))
+endif
+
+# < 9.1, drop init-extension and dialect, add init at the beginning
+ifeq ($(shell test $(PG_VERSION_NUM) -lt 90100 && echo yes), yes)
+REGRESS := init $(filter-out init-extension dialect, $(REGRESS))
+endif
+
+# < 9.0, drop inline, startup, varparam and window
+ifeq ($(shell test $(PG_VERSION_NUM) -lt 90000 && echo yes), yes)
+REGRESS := $(filter-out inline startup varparam window, $(REGRESS))
 endif
 
 clean: subclean

=== debian/changelog ===
plv8 (1:1.4.6.ds-1) unstable; urgency=medium

  * New 1.4 upstream release supporting v8 3.14. Thanks to Jerry Sievert!
    (The 1.5 series needs v8 4.x that isn't available in sid yet.)
  * Add "expected" files for PG versions <= 9.3.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Mar 2016 16:48:05 +0200

plv8 (1.5.0.ds-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Ignore test failures for 9.0 and 9.1, they don't have the json data type.
  * Silence sequence generation notices in 9.2 in the test suite.
  * Project has moved to github.
  * Testsuite has problems, we are investigating.

  [ Martin Pitt ]
  * New upstream release 1.4.4.
  * Build for PostgreSQL 9.5. (Closes: #810637)
  * Drop backported patches.
  * debian/rules: Use "pg_buildext loop" to fix build with current p-common.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/control: Drop obsolete XS-Testsuite: header.

  [ Evgeni Golov ]
  * New upstream release 1.5.0.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 Mar 2016 12:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Uploaders: Evgeni Golov <evgeni@debian.org>, Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 148~),
  libv8-dev, markdown
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Section: database
-Homepage: http://code.google.com/p/plv8js/
+Homepage: https://github.com/plv8/plv8
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
-XS-Testsuite: autopkgtest
 
-Package: postgresql-9.4-plv8
+Package: postgresql-9.5-plv8
 Architecture: any
-Depends: postgresql-9.4, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
 Provides: postgresql-plv8
 Description: Procedural language interface between PostgreSQL and JavaScript
  V8 is a high performance JavaScript engine written in C++.  It is used

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 export DISABLE_DIALECT=1
 
 override_dh_auto_build:
-	+pg_buildext build $(CURDIR) build-%v
 	markdown doc/plv8.md > doc/plv8.html
 
 clean:
@@ -23,7 +22,7 @@
 	# noop
 
 override_dh_auto_install:
-	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plv8
+	+pg_buildext loop postgresql-%v-plv8
 
 %:
 	dh $@
@@ -32,4 +31,5 @@
 DIR = $(shell basename $(CURDIR))
 origtargz: clean
 	! test -f .pc/applied-patches
+	rm -f coffee-script.js livescript.js
 	cd .. && tar --exclude .git --exclude .pc --exclude debian -cvzf plv8_$(VERSION).orig.tar.gz $(DIR)

=== debian/watch ===
version=3
opts="dversionmangle=s/\.ds//" \
https://github.com/plv8/plv8/releases .*/v(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## plv8 1.4.8.ds

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   'make static' will download v8 and build, then statically link to it.
 #
 #-----------------------------------------------------------------------------#
-PLV8_VERSION = 1.4.6
+PLV8_VERSION = 1.4.8
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
plv8 (1:1.4.8.ds-2.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-plv8-source-distribution=xenial-38,
    65e1ce7581da7ddb38a02a0fa6ad107fd6a8fc31/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 07 Oct 2016 20:11:36 +0200

plv8 (1:1.4.8.ds-2) unstable; urgency=medium

  * Fix build failure with gcc-6. (Closes: #831190)
  * Update for 9.6.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Oct 2016 18:37:36 +0200

plv8 (1:1.4.8.ds-1) unstable; urgency=medium

  * New upstream version.
  * Makefile: Add CXXFLAGS so we get hardening and debug symbols.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Apr 2016 11:01:14 +0200

plv8 (1:1.4.7.ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Apr 2016 23:32:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
 
-Package: postgresql-9.5-plv8
+Package: postgresql-9.6-plv8
 Architecture: any
-Depends: postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
 Provides: postgresql-plv8
 Description: Procedural language interface between PostgreSQL and JavaScript
  V8 is a high performance JavaScript engine written in C++.  It is used

## plv8 1.4.10.ds

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   'make static' will download v8 and build, then statically link to it.
 #
 #-----------------------------------------------------------------------------#
-PLV8_VERSION = 1.4.8
+PLV8_VERSION = 1.4.10
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
plv8 (1:1.4.10.ds-2) unstable; urgency=medium

  * Upload with PostgreSQL 10 support.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Sep 2017 21:25:09 +0200

plv8 (1:1.4.10.ds-1) unstable; urgency=medium

  * Bugfix release: Fix startup proc for multiple arguments.
  * Remove "remove-defines" patch, went upstream.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Apr 2017 19:24:49 +0200

plv8 (1:1.4.9.ds-1) unstable; urgency=medium

  * Security bugfix release: Check for permission to call functions.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Mar 2017 19:01:08 +0100

plv8 (1:1.4.8.ds-3) unstable; urgency=medium

  * Remove Evgeni from Uploaders. Thanks!

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 21:15:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: plv8
 Priority: extra
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Evgeni Golov <evgeni@debian.org>, Christoph Berg <myon@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 148~),
  libv8-dev, markdown
-Standards-Version: 3.9.7
+Standards-Version: 4.1.0
 Section: database
 Homepage: https://github.com/plv8/plv8
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
 
-Package: postgresql-9.6-plv8
+Package: postgresql-10-plv8
 Architecture: any
-Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-10, ${shlibs:Depends}, ${misc:Depends}
 Provides: postgresql-plv8
 Description: Procedural language interface between PostgreSQL and JavaScript
  V8 is a high performance JavaScript engine written in C++.  It is used

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 %:
 	dh $@
 
-VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*.ds\).*/\1/p')
+VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: 1:\(.*.ds\).*/\1/p')
 DIR = $(shell basename $(CURDIR))
 origtargz: clean
 	! test -f .pc/applied-patches

=== debian/watch ===
version=3

# at the moment we are interested in 1.4 releases only

opts="dversionmangle=s/\.ds//" \
https://github.com/plv8/plv8/releases .*/v(1.4.\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
